# Update a wallet

Update properties of an existing wallet such as name, description, status, or metadata.

Read our [Moov wallets guide](https://docs.moov.io/guides/sources/wallets/) to learn more.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/accounts/{accountID}/wallets.write` scope.

### PATCH

```plaintext
/accounts/{accountID}/wallets/{walletID}
```

### Ask

```shell
curl -X PATCH "https://api.moov.io/accounts/{accountID}/wallets/{walletID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00" \
  -d '{
  "name": "My second wallet",
  "description": "My new description",
  "metadata": {
    "optional": "metadata"
  }
}'
```

### Ask

```go
mc, _ := moov.NewClient()

accountID := "{uuid}" // account ID of the wallet owner
walletID := "{uuid}" // wallet ID of the wallet to update

newName := "My new wallet"
update := moov.UpdateWallet{
    Name: &newName,
}

mc.UpdateWallet(ctx, accountID, walletID, update)
```

### Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.wallets.update({
    walletID: "9f1c6e07-aae8-40e6-b290-502bb1bc486e",
    accountID: "e4aad2fb-201d-4390-b4d3-6de7716152e1",
    patchWallet: {
      name: "My second wallet",
      description: "My new description",
      metadata: {
        "optional": "metadata",
      },
    },
  });

console.log(result);
}

run();
```

### Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\
